Skip to main content
PUT
https://{tenantDomain}/api/v2
/
guardian
/
factors
/
{name}
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
    guardian "github.com/auth0/go-auth0/management/guardian"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Guardian.Factors.Set(
        context.TODO(),
        management.GuardianFactorNameEnumPushNotification,
        &guardian.SetGuardianFactorRequestContent{
            Enabled: true,
        },
    )
}
{
  "enabled": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

name
enum<string>
default:sms
required

Factor name. Can be sms, push-notification, email, duo otp webauthn-roaming, webauthn-platform, or recovery-code.

Available options:
push-notification,
sms,
email,
duo,
otp,
webauthn-roaming,
webauthn-platform,
recovery-code
Minimum string length: 1

Body

enabled
boolean
required

Whether this factor is enabled (true) or disabled (false).

Response

Factor updated successfully.

enabled
boolean
required

Whether this factor is enabled (true) or disabled (false).